summaryrefslogtreecommitdiff
path: root/examples
diff options
context:
space:
mode:
authorNeil Williams <codehelp@debian.org>2014-12-23 18:41:41 +0000
committerNeil Williams <codehelp@debian.org>2014-12-23 18:41:41 +0000
commit857094af5a523d4e746cada537595f849f4281a4 (patch)
treebbf3aec1050d53726a7f415a47336aa5a826dec5 /examples
parent05dcc3af8835fce167b6ddd9f29d8c72ae0e8a58 (diff)
downloadvmdebootstrap-857094af5a523d4e746cada537595f849f4281a4.tar.gz
add modules to cubietruck example and provide a wandboard example based on that.
Diffstat (limited to 'examples')
-rwxr-xr-xexamples/cubietruck-customise.sh4
-rw-r--r--examples/wandboard-customise.sh28
-rw-r--r--examples/wandboard6q.sh23
3 files changed, 55 insertions, 0 deletions
diff --git a/examples/cubietruck-customise.sh b/examples/cubietruck-customise.sh
index 4d436ae..1a66bf9 100755
--- a/examples/cubietruck-customise.sh
+++ b/examples/cubietruck-customise.sh
@@ -22,3 +22,7 @@ dd if=/usr/lib/u-boot/Cubietruck/u-boot-sunxi-with-spl.bin of=${image} bs=1k see
mkdir -p $rootdir/boot/dtbs
cp $rootdir/usr/lib/linux-image-*-armmp/* $rootdir/boot/dtbs
+
+for module in phy-sun4i-usb ohci-platform; do
+ echo ${module} >> ${rootdir}/etc/initramfs-tools/modules
+done
diff --git a/examples/wandboard-customise.sh b/examples/wandboard-customise.sh
new file mode 100644
index 0000000..f16cff0
--- /dev/null
+++ b/examples/wandboard-customise.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+set -e
+
+rootdir=$1
+image=$2
+
+if [ -z "${image}" ]; then
+ echo "Image not specified"
+ exit
+fi
+
+if [ ! -f '/usr/lib/u-boot/wandboard_quad/u-boot.imx' ]; then
+ echo "Unable to find wandboard u-boot file"
+ exit
+fi
+
+# u-boot needs to be dd'd to the device, not a partition
+# but kpartx does not setup the device, just the partitions
+
+dd if=/usr/lib/u-boot/wandboard_quad/u-boot.imx of=${image} seek=1 conv=fsync bs=1k
+
+mkdir -p $rootdir/boot/dtbs
+cp $rootdir/usr/lib/linux-image-*-armmp/* $rootdir/boot/dtbs
+
+for module in ahci_platform ahci_imx sd-mod; do
+ echo ${module} >> ${rootdir}/etc/initramfs-tools/modules
+done
diff --git a/examples/wandboard6q.sh b/examples/wandboard6q.sh
new file mode 100644
index 0000000..0113bef
--- /dev/null
+++ b/examples/wandboard6q.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+set -e
+
+sudo vmdebootstrap \
+ --owner $(whoami) --verbose \
+ --size 3G \
+ --mirror http://http.debian.net/debian \
+ --log wandboard.log --log-level debug \
+ --arch armhf \
+ --foreign /usr/bin/qemu-arm-static \
+ --enable-dhcp \
+ --configure-apt \
+ --no-extlinux \
+ --no-kernel \
+ --package u-boot \
+ --package linux-image-armmp \
+ --distribution sid \
+ --serial-console-command "/sbin/getty -L ttymxc0 115200 vt100" \
+ --customize "wandboard-customise.sh" \
+ --bootoffset=2mib \
+ --bootsize 100mib --boottype vfat \
+ "$@"